Subject: Re: Possible submodule or submodule documentation issue

From: Bill Zaumen <[email-masked]>
Date: Sun, 01 Jan 2012 19:53:33 -0800

On Sun, 2012-01-01 at 16:13 +0100, Jens Lehmann wrote:
> Am 29.12.2011 03:50, schrieb Bill Zaumen:
> >  So what about clarifying
> the docs: ...

Clarifying the docs is a good solution given that a possibly large
number of existing repositories are dependent on the current behavior.

One way of explaining it is to say that "git first appends a
'/' to the superproject's origin URL if that URL does not already
end in a '/'. Relative URLs for submodules' origin repository are
resolved relative to this modified URL." Then the reader can simply
apply the normal URL rules.

I think either is OK - it's simply a judgment call as to which 
explanation is easiest for a typical git user to understand.